Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request DELETE \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid}/credits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"amount": 42
}'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid}/credits"
payload = { "amount": 42 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 42})
};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "1702aeb0-493e-3126-bf24-3e2e19509b00",
"total": {
"currency": "USD",
"amount": "6883.00",
"amount_minor": 688300
},
"sub_total": {
"currency": "USD",
"amount": "6883.00",
"amount_minor": 688300
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"remaining_total": {
"currency": "USD",
"amount": "6883.00",
"amount_minor": 688300
},
"credits_eligible_amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total_before_tax": {
"currency": "USD",
"amount": "6883.00",
"amount_minor": 688300
},
"tax_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Tax",
"name": "some-tax",
"rate": 10,
"calculator_type": "percent"
}
],
"discount_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Discount",
"name": "some-discount",
"rate": 10,
"calculator_type": "percent"
}
],
"expires_at": "2026-03-03T14:25:30.0000000+00:00"
}
}Remove Credits from Cart
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
42
Show child attributes